Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc.metadata
Class MetaDataQueryResult

    java.lang.Object
      org.modeshape.jdbc.metadata.MetaDataQueryResult

All Implemented Interfaces:
  QueryResult

    public class MetaDataQueryResult

extends Object
implements QueryResult

The MetaDataQueryResult is used to provide `NodeIterator` and the `RowIterator` in order to provide query results when metadata is requested. This is done because there are no sql queries that can be executed to obtain certain types of metadata in a return `QueryResult` from the ModeShapeEngine.

Method Summary
`static MetaDataQueryResult` | `createResultSet(List<List<?>> records, ResultSetMetaData resultSetMetaData)`
`String[]` | `getColumnNames()`
`String[]` | `getColumnTypes()`
`NodeIterator` | `getNodes()`
`RowIterator` | `getRows()`
`String[]` | `getSelectorNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createResultSet

    public static MetaDataQueryResult createResultSet(List<List<?>> records,
                                                      ResultSetMetaData resultSetMetaData)
                                               throws SQLException

  Throws:
    `SQLException`

### getColumnNames

    public String[] getColumnNames()
                            throws RepositoryException

  Specified by:
    `getColumnNames` in interface `QueryResult`
  Throws:
    `RepositoryException`
  See Also:
    `QueryResult.getColumnNames()`

### getNodes

    public NodeIterator getNodes()

  Specified by:
    `getNodes` in interface `QueryResult`

### getRows

    public RowIterator getRows()

  Specified by:
    `getRows` in interface `QueryResult`

### getColumnTypes

    public String[] getColumnTypes()

### getSelectorNames

    public String[] getSelectorNames()

  Specified by:
    `getSelectorNames` in interface `QueryResult`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.